package com.ruoyi.buyerapi.mapper;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerPolicy;

/**
 * 加计扣除相关政策Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-19
 */
public interface BuyerPolicyMapper 
{
    /**
     * 查询加计扣除相关政策
     * 
     * @param id 加计扣除相关政策主键
     * @return 加计扣除相关政策
     */
    public BuyerPolicy selectBuyerPolicyById(String id);

    /**
     * 查询加计扣除相关政策列表
     * 
     * @param buyerPolicy 加计扣除相关政策
     * @return 加计扣除相关政策集合
     */
    public List<BuyerPolicy> selectBuyerPolicyList(BuyerPolicy buyerPolicy);

    /**
     * 新增加计扣除相关政策
     * 
     * @param buyerPolicy 加计扣除相关政策
     * @return 结果
     */
    public int insertBuyerPolicy(BuyerPolicy buyerPolicy);

    /**
     * 修改加计扣除相关政策
     * 
     * @param buyerPolicy 加计扣除相关政策
     * @return 结果
     */
    public int updateBuyerPolicy(BuyerPolicy buyerPolicy);

    /**
     * 删除加计扣除相关政策
     * 
     * @param id 加计扣除相关政策主键
     * @return 结果
     */
    public int deleteBuyerPolicyById(String id);

    /**
     * 批量删除加计扣除相关政策
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuyerPolicyByIds(String[] ids);
}
